Retrieve attribute
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/attributes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/attributes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/attributes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"attribute": {
"id": "<string>",
"name": "<string>",
"attribute_type": "text",
"is_visible": true,
"is_filterable": true,
"active": true,
"supports_variant_creation": true,
"product_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z"
},
"products": [
{
"id": "<string>",
"product_id": "<string>",
"product_name": "<string>",
"product_type": "physical",
"status": "draft",
"tags": [
"<string>"
],
"reviews_rating_sum": 123,
"reviews_count": 123,
"hsn_code": "<string>",
"variant_id": "<string>",
"variant_name": "<string>",
"slug": "<string>",
"sku": "<string>",
"associated_options": [
{
"attribute_id": "<string>",
"attribute_value": "<string>",
"attribute_name": "<string>",
"attribute_type": "single-select",
"key": "<string>"
}
],
"active": true,
"stock_available": true,
"images": [
{
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"url_tiny": "<string>",
"url_thumbnail": "<string>",
"url_standard": "<string>",
"url_zoom": "<string>",
"file_id": "<string>",
"file_type": "image"
}
],
"pricing": [
{
"customer_group_id": "<string>",
"cost_price": 123,
"listing_price": 123,
"selling_price": 123,
"tax_rate": 123,
"min_order_quantity": 1,
"max_order_quantity": 123,
"incremental_quantity": 1,
"tax_type": "GST"
}
]
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"previous_page": 123,
"limit": 25,
"next_page": 123
}
}
}Catalog
Retrieve attribute
retrieve attribute
GET
/
catalog
/
attributes
/
{id}
Retrieve attribute
Was this page helpful?
⌘I